Read the headline numbers of a ZIP list of the lean set
curl --request GET \
--url https://api.investorlift.com/v3/places/summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/places/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/places/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"deeds_since": "2025-09-24",
"listings_since": "2025-10-05",
"deeds": {
"n_purchases": 73746,
"n_flagged": 19632,
"n_purchases_12m": 1637,
"n_flagged_12m": 490,
"median_price_12m": 590000,
"n_buyers_12m": 456,
"n_registry_buyers_12m": 290
},
"listings": {
"n_active": 516,
"n_pending": 26,
"n_rentals_active": 0,
"n_sold_12m": 1057,
"n_off_market_12m": 951,
"median_list_price": 599000,
"median_sold_price_12m": 609000
},
"agents": {
"n_agents_12m": 1376,
"n_brokerages_12m": 293
},
"zips": [
"85251",
"85257"
],
"zips_covered": [
"85251",
"85257"
]
},
"meta": {
"generated_at": "2026-10-14T01:04:56.202Z",
"geometry": {
"kind": "place",
"lat": null,
"lng": null,
"radius_miles": null,
"bbox": null,
"property_id": null,
"address": null,
"zip": [
"85251",
"85257"
],
"city": null
},
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-13T21:10:43.975Z",
"published_at": "2026-10-14T01:00:16.378Z",
"run_id": 1791936998,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
}
]
}
}
}The lean set (/v3)
Read the headline numbers of a ZIP list
Read the headline numbers of a ZIP list as one place.
GET
/
v3
/
places
/
summary
Read the headline numbers of a ZIP list of the lean set
curl --request GET \
--url https://api.investorlift.com/v3/places/summary \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.investorlift.com/v3/places/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.investorlift.com/v3/places/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"deeds_since": "2025-09-24",
"listings_since": "2025-10-05",
"deeds": {
"n_purchases": 73746,
"n_flagged": 19632,
"n_purchases_12m": 1637,
"n_flagged_12m": 490,
"median_price_12m": 590000,
"n_buyers_12m": 456,
"n_registry_buyers_12m": 290
},
"listings": {
"n_active": 516,
"n_pending": 26,
"n_rentals_active": 0,
"n_sold_12m": 1057,
"n_off_market_12m": 951,
"median_list_price": 599000,
"median_sold_price_12m": 609000
},
"agents": {
"n_agents_12m": 1376,
"n_brokerages_12m": 293
},
"zips": [
"85251",
"85257"
],
"zips_covered": [
"85251",
"85257"
]
},
"meta": {
"generated_at": "2026-10-14T01:04:56.202Z",
"geometry": {
"kind": "place",
"lat": null,
"lng": null,
"radius_miles": null,
"bbox": null,
"property_id": null,
"address": null,
"zip": [
"85251",
"85257"
],
"city": null
},
"coverage": [],
"terms": "Data: Investorlift Data Services. Public-record and MLS listing data licensed through BatchData; municipal short-term rental registries; Investorlift marketplace records. Attribution and data-use terms: https://developers.investorlift.com/guides/terms",
"build": {
"states": [
{
"state": "AZ",
"build_id": null,
"built_at": "2026-10-13T21:10:43.975Z",
"published_at": "2026-10-14T01:00:16.378Z",
"run_id": 1791936998,
"financing_as_of": "2026-06-25",
"recordings_through": "2026-06-11",
"financing_source": "replay_887"
},
{
"state": "CA",
"build_id": null,
"built_at": "2026-09-24T01:58:30.453Z",
"published_at": "2026-09-24T03:15:56.838Z",
"run_id": 1790215190,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "FL",
"build_id": "0e5fa9bc",
"built_at": "2026-09-24T15:08:23.506Z",
"published_at": "2026-09-24T18:59:42.805Z",
"run_id": 1790262682,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
},
{
"state": "TX",
"build_id": "775ed08d",
"built_at": "2026-09-24T11:08:10.587Z",
"published_at": "2026-09-24T13:16:03.157Z",
"run_id": 1790248213,
"financing_as_of": null,
"recordings_through": null,
"financing_source": null
}
]
}
}
}This route serves the lean set under
/v3/places/summary. See The lean dataset for the tier rules.Authorizations
API key from the developer console (starts with zpka_). Create one at https://developers.investorlift.com/get-a-key.
Query Parameters
The place as a list of 5-digit ZIPs (comma list or repeated key), at most 60.
Minimum array length:
1Pattern:
^\d{5}$Response
The headline numbers of the ZIP list.
The headline numbers of the ZIP list.
Was this page helpful?